## meson 0.47.1

=== debian/changelog ===
meson (0.47.1-1ubuntu2) cosmic; urgency=medium

  * quadmath is available on ppc64le, but not use by gfortran on
    ppc64le. Not sure how to detect this properly.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 17 Jul 2018 17:26:51 +0100

meson (0.47.1-1ubuntu1) cosmic; urgency=medium

  * Fix autopgtest, quadmath is not available on all architectures.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 17 Jul 2018 09:40:30 +0100

meson (0.47.1-1) unstable; urgency=medium

  * New upstream release. Closes: #903414.
  * Install depfixer again, it got lost accidentally. Closes: #903279.
  * Disable all Valgrind tests because of #903404.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Wed, 11 Jul 2018 00:05:14 +0300

=== debian/rules ===
#!/usr/bin/make -f

# Print all logging info to stdout so it
# shows up in build logs.
export MESON_PRINT_TEST_OUTPUT=1

export QT_SELECT=qt5

# We're not in 1963 anymore, Toto!
export LC_ALL=C.UTF-8

export PYBUILD_NAME=meson

%:
	dh $@ --with python3 --buildsystem=pybuild

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	./run_tests.py
endif

override_dh_clean:
	dh_clean
	rm -f meson-test-run.txt meson-test-run.xml
# Helper script to autogenerate cross files.
	mkdir -p $$(pwd)/debian/meson/usr/share/meson
	cp debian/debcrossgen $$(pwd)/debian/meson/usr/share/meson

## meson 0.47.2

=== test cases/common/50 subproject options/subprojects/subproject/meson_options.txt ===
option('opt', type : 'boolean', value : false, description : 'subproject option')

=== debian/changelog ===
meson (0.47.2-1ubuntu1) cosmic; urgency=medium

  * Sync with Debian.
  * Cherry-pick patch to not use quadmath with Fortran. (Closes: #907324)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 02 Sep 2018 12:05:01 -0400

meson (0.47.2-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sat, 25 Aug 2018 11:15:05 +0300

meson (0.47.1-2) unstable; urgency=medium

  * Fix debcrossgen install properly. Closes: #903279.
  * Re-enable Valgrind tests.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Fri, 3 Aug 2018 22:56:19 +0300

=== debian/control ===
Source: meson
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jussi Pakkanen <jpakkane@gmail.com>
Section: devel
Priority: optional
Standards-Version: 4.1.4
Homepage: http://mesonbuild.com
X-Python3-Version: >= 3.5
Build-Depends: debhelper (>= 11),
  python3:any (>= 3.5),
  dh-python,
  python3-setuptools,
  ninja-build (>= 1.6),
# The following are needed for the unit test suite
  zlib1g-dev <!nocheck>,
  pkg-config <!nocheck>,
  libboost-dev <!nocheck>,
  libboost-thread-dev <!nocheck>,
  libboost-test-dev <!nocheck>,
  libboost-log-dev <!nocheck>,
  gobjc <!nocheck>,
  gobjc++ <!nocheck>,
  gnustep-make <!nocheck>,
  libgnustep-base-dev <!nocheck>,
  googletest <!nocheck>,
  qtbase5-dev <!nocheck>,
  qtbase5-private-dev <!nocheck>,
  qtbase5-dev-tools <!nocheck>,
  qttools5-dev-tools <!nocheck>,
  protobuf-compiler <!nocheck>,
  libprotobuf-dev <!nocheck>,
# OpenJDK does not work on Hurd, so skip the tests.
  default-jdk-headless [!hurd-i386] <!nocheck>,
  valac <!nocheck>,
  gobject-introspection <!nocheck>,
  libgirepository1.0-dev <!nocheck>,
  gfortran <!nocheck>,
  flex <!nocheck>,
  bison <!nocheck>,
  mono-mcs <!nocheck>,
  mono-devel <!nocheck>,
  libwxgtk3.0-dev <!nocheck>,
  python3-gi <!nocheck>,
  gtk-doc-tools <!nocheck>,
# Rust is not needed to build Meson, only to run a part of its test
# suite.  Rust tests will be skipped if rustc is not available.  This
# stanza makes dep dep solver install rustc whenever it is available
# and when not it installs a harmless filler package.
  rustc [i386 amd64] <!nocheck> | bash-doc <!nocheck>,
  python3-dev <!nocheck>,
  cython3 <!nocheck>,
# GDC is available on all platforms but it only
# works when libgphobos-dev is available
# and it only exists on a few architectures.
  gdc [amd64 armhf i386] <!nocheck>,
  itstool <!nocheck>,
  libgtk-3-dev <!nocheck>,
# Not available on older releases and only needed for tests
  g++-arm-linux-gnueabihf [!armhf] <!nocheck> | bash-doc <!nocheck>,
  valgrind [amd64 i386] <!nocheck>,
  llvm-dev <!nocheck>,
  libsdl2-dev <!nocheck>,
# OpenMPI packages do not install currently (2018/04/23)
  openmpi-bin <!nocheck>,
  libopenmpi-dev <!nocheck>,
# Running OpenMPI executables requires openssh. Yes, really.
  openssh-client <!nocheck>,
  libvulkan-dev <!nocheck>,
  libpcap-dev <!nocheck>,
  libcups2-dev <!nocheck>,
  gtk-sharp2 <!nocheck>,
  gtk-sharp2-gapi <!nocheck>,
  libglib2.0-cil-dev <!nocheck>,
  libwmf-dev <!nocheck>,
  git <!nocheck>,
  mercurial <!nocheck>,
  gcovr <!nocheck>,
  lcov <!nocheck>,
  fpga-icestorm <!nocheck>,
  arachne-pnr <!nocheck>,
  yosys <!nocheck>,
  doxygen <!nocheck>,
  nasm <!nocheck>,

Package: meson
Architecture: all
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends},
# ${python3:Depends},
 ninja-build(>=1.6), python3
Description: high-productivity build system
 Meson is a build system designed to increase programmer
 productivity. It does this by providing a fast, simple and easy to
 use interface for modern software development tools and practices.

=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,19 @@
 override_dh_clean:
 	dh_clean
 	rm -f meson-test-run.txt meson-test-run.xml
+	rm -rf __pycache__
+	rm -rf mesonbuild/__pycache__
+	rm -rf mesonbuild/*/__pycache__
+
+override_dh_install:
 # Helper script to autogenerate cross files.
+	dh_install
 	mkdir -p $$(pwd)/debian/meson/usr/share/meson
 	cp debian/debcrossgen $$(pwd)/debian/meson/usr/share/meson
+	rm -rf $$(pwd)/debian/meson/usr/lib/python*/dist-packages/mesonbuild/__pycache__
+	rm -rf $$(pwd)/debian/meson/usr/lib/python*/dist-packages/mesonbuild/*/__pycache__
+# For some reason Debian helpers install the files in the wrong directory,
+# i.e. /usr/lib/python3.6 instead of /usr/lib/python3. I don't know why
+# or how to fix it, since we just call to the default tools with default
+# parameters. Fix manually.
+	mv $$(pwd)/debian/meson/usr/lib/python3.* $$(pwd)/debian/meson/usr/lib/python3

## meson 0.48.1

=== debian/changelog ===
meson (0.48.1-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 21 Oct 2018 10:06:27 -0700

meson (0.48.1-1) unstable; urgency=medium

  * New upstream release. Closes: #909851, #910443.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Wed, 17 Oct 2018 18:57:16 +0300

meson (0.48.0-2) unstable; urgency=medium

  * Add dependency to python3-pkg-resources temporarily. Closes: #909440.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 24 Sep 2018 18:51:11 +0300

meson (0.48.0-1) unstable; urgency=medium

  * New upstream release. Closes: #907324.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sat, 22 Sep 2018 23:13:11 +0300

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: meson
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Jussi Pakkanen <jpakkane@gmail.com>
 Section: devel
 Priority: optional
-Standards-Version: 4.1.4
-Homepage: http://mesonbuild.com
+Standards-Version: 4.2.1
+Homepage: https://mesonbuild.com
 X-Python3-Version: >= 3.5
 Build-Depends: debhelper (>= 11),
   python3:any (>= 3.5),
@@ -87,7 +87,9 @@
 Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends},
 # ${python3:Depends},
- ninja-build(>=1.6), python3
+ ninja-build(>=1.6),
+ python3,
+ python3-pkg-resources,
 Description: high-productivity build system
  Meson is a build system designed to increase programmer
  productivity. It does this by providing a fast, simple and easy to

## meson 0.48.2

=== debian/changelog ===
meson (0.48.2-1ubuntu1) disco; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Fix 32bit alignmnet issues in the simd test case.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 26 Nov 2018 15:03:58 +0000

meson (0.48.2-1) unstable; urgency=medium

  * New upstream release. Closes: #911879, #911697.
  * Backport split-merge patch from trunk. Closes: #913320.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Fri, 15 Nov 2018 21:30:25 +0200

meson (0.47.2-1ubuntu4) disco; urgency=medium

  * Fix 32bit alignmnet issues in the simd test case.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 07 Nov 2018 02:17:30 +0000

meson (0.47.2-1ubuntu3) disco; urgency=medium

  * No-change rebuild to build for python3.7 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 31 Oct 2018 13:13:40 +0000

meson (0.47.2-1ubuntu2) cosmic; urgency=medium

  * Add proposed fix-dbus-test.patch to fix build test

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 05 Sep 2018 07:04:41 -0400

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: meson
-Maintainer: Steven Pusser <stevep@mxlinux.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Jussi Pakkanen <jpakkane@gmail.com>
 Section: devel
 Priority: optional

## meson 0.49.0

=== debian/changelog ===
meson (0.49.0-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Michael Biebl <biebl@debian.org>  Sat, 12 Jan 2019 22:43:14 +0100

meson (0.49.0-1) unstable; urgency=medium

  * New upstream release. Closes: #894774, #914543, #913263.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 09 Dec 2018 19:56:53 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: meson
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jussi Pakkanen <jpakkane@gmail.com>
+Maintainer: Jussi Pakkanen <jpakkane@gmail.com>
 Section: devel
 Priority: optional
 Standards-Version: 4.2.1

## meson 0.49.0-1~bpo9+1+9.0trisquel1

=== debian/changelog ===
meson (0.49.0-1~bpo9+1+9.0trisquel1) etiona-backports; urgency=medium

  * Backported from debian stretch backports as dependency of deja-dup

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 18 Oct 2021 08:33:45 +0000

## meson 0.49.2

=== mesonbuild/dependencies/data/CMakeLists.txt ===
cmake_minimum_required(VERSION ${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}.${CMAKE_PATCH_VERSION} )

# Inspired by CMakeDetermineCompilerABI.cmake to set CMAKE_LIBRARY_ARCHITECTURE
if(CMAKE_LIBRARY_ARCHITECTURE_REGEX)
  if(NOT DEFINED CMAKE_LIBRARY_ARCHITECTURE)
    file(GLOB implicit_dirs RELATIVE /lib /lib/*-linux-gnu* )
    foreach(dir ${implicit_dirs})
      if("${dir}" MATCHES "${CMAKE_LIBRARY_ARCHITECTURE_REGEX}")
        set(CMAKE_LIBRARY_ARCHITECTURE "${dir}")
        break()
      endif()
    endforeach()
  endif()
endif()

find_package("${NAME}" QUIET)

set(PACKAGE_FOUND FALSE)
set(_packageName "${NAME}")
string(TOUPPER "${_packageName}" PACKAGE_NAME)

if(${_packageName}_FOUND  OR  ${PACKAGE_NAME}_FOUND)
  set(PACKAGE_FOUND TRUE)

  # Check the following variables:
  # FOO_VERSION
  # Foo_VERSION
  # FOO_VERSION_STRING
  # Foo_VERSION_STRING
  if(NOT DEFINED PACKAGE_VERSION)
    if(DEFINED ${_packageName}_VERSION)
      set(PACKAGE_VERSION "${${_packageName}_VERSION}")
    elseif(DEFINED ${PACKAGE_NAME}_VERSION)
      set(PACKAGE_VERSION "${${PACKAGE_NAME}_VERSION}")
    elseif(DEFINED ${_packageName}_VERSION_STRING)
      set(PACKAGE_VERSION "${${_packageName}_VERSION_STRING}")
    elseif(DEFINED ${PACKAGE_NAME}_VERSION_STRING)
      set(PACKAGE_VERSION "${${PACKAGE_NAME}_VERSION_STRING}")
    endif()
  endif()

  # Check the following variables:
  # FOO_LIBRARIES
  # Foo_LIBRARIES
  # FOO_LIBS
  # Foo_LIBS
  set(libs)
  if(DEFINED ${_packageName}_LIBRARIES)
    set(libs ${_packageName}_LIBRARIES)
  elseif(DEFINED ${PACKAGE_NAME}_LIBRARIES)
    set(libs ${PACKAGE_NAME}_LIBRARIES)
  elseif(DEFINED ${_packageName}_LIBS)
    set(libs ${_packageName}_LIBS)
  elseif(DEFINED ${PACKAGE_NAME}_LIBS)
    set(libs ${PACKAGE_NAME}_LIBS)
  endif()

  # Check the following variables:
  # FOO_INCLUDE_DIRS
  # Foo_INCLUDE_DIRS
  # FOO_INCLUDES
  # Foo_INCLUDES
  # FOO_INCLUDE_DIR
  # Foo_INCLUDE_DIR
  set(includes)
  if(DEFINED ${_packageName}_INCLUDE_DIRS)
    set(includes ${_packageName}_INCLUDE_DIRS)
  elseif(DEFINED ${PACKAGE_NAME}_INCLUDE_DIRS)
    set(includes ${PACKAGE_NAME}_INCLUDE_DIRS)
  elseif(DEFINED ${_packageName}_INCLUDES)
    set(includes ${_packageName}_INCLUDES)
  elseif(DEFINED ${PACKAGE_NAME}_INCLUDES)
    set(includes ${PACKAGE_NAME}_INCLUDES)
  elseif(DEFINED ${_packageName}_INCLUDE_DIR)
    set(includes ${_packageName}_INCLUDE_DIR)
  elseif(DEFINED ${PACKAGE_NAME}_INCLUDE_DIR)
    set(includes ${PACKAGE_NAME}_INCLUDE_DIR)
  endif()

  # Check the following variables:
  # FOO_DEFINITIONS
  # Foo_DEFINITIONS
  set(definitions)
  if(DEFINED ${_packageName}_DEFINITIONS)
    set(definitions ${_packageName}_DEFINITIONS)
  elseif(DEFINED ${PACKAGE_NAME}_DEFINITIONS)
    set(definitions ${PACKAGE_NAME}_DEFINITIONS)
  endif()

  set(PACKAGE_INCLUDE_DIRS "${${includes}}")
  set(PACKAGE_DEFINITIONS  "${${definitions}}")
  set(PACKAGE_LIBRARIES    "${${libs}}")
endif()

=== debian/changelog ===
meson (0.49.2-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 04 Feb 2019 21:20:09 +0200

meson (0.49.1-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Wed, 23 Jan 2019 18:49:53 +0200

meson (0.49.0-2) unstable; urgency=medium

  * Debcrossgen CPU fix from Helmut Grohne. Closes: #919065.
  * Add system compiler flags to cross files. Closes: #919117.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 13 Jan 2019 00:59:08 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Jussi Pakkanen <jpakkane@gmail.com>
 Section: devel
 Priority: optional
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://mesonbuild.com
 X-Python3-Version: >= 3.5
 Build-Depends: debhelper (>= 11),

## meson 0.51.0

=== debian/changelog ===
meson (0.51.0-1) experimental; urgency=medium

  * New upstream release.
  * Add build-dep to CMake needed by new tests.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 16 Jun 2019 22:04:22 +0300

meson (0.50.1-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Wed, 17 Apr 2019 01:12:02 +0300

meson (0.50.0-1) experimental; urgency=medium

  * New upstream release.
  * Install zsh completion files. Closes: #920154.
  * Add python2-dev to build deps as needed by new tests.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 10 Mar 2019 19:27:10 +0200

=== debian/control ===
--- 
+++ 
@@ -80,6 +80,8 @@
   yosys <!nocheck>,
   doxygen <!nocheck>,
   nasm <!nocheck>,
+  python2-dev <!nocheck>,
+  cmake <!nocheck>,
 
 Package: meson
 Architecture: all

## meson 0.51.1

=== test cases/common/44 options/meson_options.txt ===
option('testoption', type : 'string', value : 'optval', description : 'An option to do something')
option('other_one', type : 'boolean', value : false)
option('combo_opt', type : 'combo', choices : ['one', 'two', 'combo'], value : 'combo')
option('array_opt', type : 'array', choices : ['one', 'two', 'three'], value : ['one', 'two'])
option('free_array_opt', type : 'array')
option('integer_opt', type : 'integer', min : 0, max : 5, value : 3)

=== test cases/cmake/1 basic/subprojects/cmMod/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(cmMod)
set (CMAKE_CXX_STANDARD 14)

add_definitions("-DDO_NOTHING_JUST_A_FLAG=1")

add_library(cmModLib SHARED cmMod.cpp)
include(GenerateExportHeader)
generate_export_header(cmModLib)

=== test cases/cmake/2 advanced/subprojects/cmMod/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(cmMod)
set(CMAKE_CXX_STANDARD 14)

find_package(ZLIB REQUIRED)

include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/lib)

set(CONFIG_OPT 42)
configure_file("config.h.in" "${CMAKE_CURRENT_BINARY_DIR}/config.h" @ONLY)

add_library(cmModLib SHARED lib/cmMod.cpp)
include(GenerateExportHeader)
generate_export_header(cmModLib)

add_executable(testEXE main.cpp)

target_link_libraries(cmModLib ZLIB::ZLIB)
target_link_libraries(testEXE cmModLib)

install(TARGETS cmModLib testEXE LIBRARY DESTINATION lib RUNTIME DESTINATION bin)

=== test cases/cmake/3 advanced no dep/subprojects/cmMod/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(cmMod)
set(CMAKE_CXX_STANDARD 14)

include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/lib)

set(CONFIG_OPT 42)
configure_file("config.h.in" "${CMAKE_CURRENT_BINARY_DIR}/config.h" @ONLY)

add_library(cmModLib SHARED lib/cmMod.cpp)
include(GenerateExportHeader)
generate_export_header(cmModLib)

add_executable(testEXE main.cpp)

target_link_libraries(testEXE cmModLib)

install(TARGETS cmModLib testEXE LIBRARY DESTINATION lib RUNTIME DESTINATION bin)

=== test cases/cmake/5 object library/subprojects/cmObjLib/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)

find_package(ZLIB REQUIRED)

add_library(lib_obj OBJECT libA.cpp libB.cpp)
add_library(lib_sha SHARED $<TARGET_OBJECTS:lib_obj>)
add_library(lib_sta STATIC $<TARGET_OBJECTS:lib_obj>)

target_link_libraries(lib_sha ZLIB::ZLIB)
target_link_libraries(lib_sta ZLIB::ZLIB)

=== test cases/cmake/6 object library no dep/subprojects/cmObjLib/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)

add_library(lib_obj OBJECT libA.cpp libB.cpp)
add_library(lib_sha SHARED $<TARGET_OBJECTS:lib_obj>)
add_library(lib_sta STATIC $<TARGET_OBJECTS:lib_obj>)

## meson 0.51.2

=== debian/changelog ===
meson (0.51.2-1) unstable; urgency=medium

  * New upstream release.
  * Updated standards and compat versions.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 26 Aug 2019 19:39:22 +0300

meson (0.51.1-1) unstable; urgency=medium

  * New upstream release.
  * Fix debcrossgen on i386.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Tue, 09 Jul 2019 19:40:49 +0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Jussi Pakkanen <jpakkane@gmail.com>
 Section: devel
 Priority: optional
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://mesonbuild.com
 X-Python3-Version: >= 3.5
 Build-Depends: debhelper (>= 11),

## meson 0.52.0

=== debian/changelog ===
meson (0.52.0-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 09 Oct 2019 23:27:15 -0700

meson (0.52.0-1) unstable; urgency=medium

  * New upstream release.
  * Removed python2 build dep to prepare for Python 2 removal.
    Added boost-python explicitly to build-deps.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 06 Oct 2019 20:05:53 +0300

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: meson
-Maintainer: Jussi Pakkanen <jpakkane@gmail.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Jussi Pakkanen <jpakkane@gmail.com>
 Section: devel
 Priority: optional
 Standards-Version: 4.4.0
 Homepage: https://mesonbuild.com
-X-Python3-Version: >= 3.5
-Build-Depends: debhelper (>= 11),
+X-Python3-Version: >= 3.7
+Build-Depends: debhelper (>= 12~),
   python3:any (>= 3.5),
   dh-python,
   python3-setuptools,
@@ -17,6 +18,7 @@
   libboost-thread-dev <!nocheck>,
   libboost-test-dev <!nocheck>,
   libboost-log-dev <!nocheck>,
+  libboost-python-dev <!nocheck>,
   gobjc <!nocheck>,
   gobjc++ <!nocheck>,
   gnustep-make <!nocheck>,
@@ -80,7 +82,6 @@
   yosys <!nocheck>,
   doxygen <!nocheck>,
   nasm <!nocheck>,
-  python2-dev <!nocheck>,
   cmake <!nocheck>,
 
 Package: meson

=== debian/rules ===
--- 
+++ 
@@ -31,6 +31,8 @@
 	dh_install
 	mkdir -p $$(pwd)/debian/meson/usr/share/meson
 	cp debian/debcrossgen $$(pwd)/debian/meson/usr/share/meson
+	mkdir -p $$(pwd)/debian/meson/usr/share/zsh/vendor-completions
+	cp data/shell-completions/zsh/_meson $$(pwd)/debian/meson/usr/share/zsh/vendor-completions
 	rm -rf $$(pwd)/debian/meson/usr/lib/python*/dist-packages/mesonbuild/__pycache__
 	rm -rf $$(pwd)/debian/meson/usr/lib/python*/dist-packages/mesonbuild/*/__pycache__
 # For some reason Debian helpers install the files in the wrong directory,

## meson 0.52.1

=== debian/changelog ===
meson (0.52.1-1) unstable; urgency=medium

  * New upstream release. Closes: #945277.
  * Packaging fixes from Lasse Kantola. Closes: #870314.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Fri, 29 Nov 2019 15:52:29 +0200

meson (0.52.0-2) unstable; urgency=medium

  * Update wxwidgets build dependency. Closes: #943437.
  * Disable FPGA tests temporarily to work around Yosys upstream
    bug #1467.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Tue, 29 Oct 2019 23:48:25 +0200

## meson 0.53.0

=== debian/changelog ===
meson (0.53.0-1ubuntu3) focal; urgency=medium

  * debian/tests/control:
    - depends on rustc

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 05 Feb 2020 15:13:43 +0100

meson (0.53.0-1ubuntu2) focal; urgency=medium

  * Update use_python3_tests.patch to catch one more python binary use.

 -- Stefano Rivera <stefanor@ubuntu.com>  Tue, 04 Feb 2020 10:53:10 -0800

meson (0.53.0-1ubuntu1) focal; urgency=medium

  * debian/patches/use_python3_tests.patch:
    - don't use the 'python' interpreter in tests since that one has been
      removed from focal

 -- Sebastien Bacher <seb128@debian.org>  Fri, 10 Jan 2020 15:01:09 +0100

meson (0.53.0-1) unstable; urgency=medium

  * New upstream release.
  * Disable tests that check home directory because it does
    not seem to work under pbuilder.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Tue, 07 Jan 2020 22:13:25 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: meson
-Maintainer: Steven Pusser <stevep@mxlinux.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Jussi Pakkanen <jpakkane@gmail.com>
 Section: devel
 Priority: optional
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://mesonbuild.com
 X-Python3-Version: >= 3.7
-Build-Depends: debhelper (>= 12~),
+Rules-Requires-Root: no
+Build-Depends: debhelper (>= 12),
   python3:any (>= 3.5),
+  dh-exec,
   dh-python,
   python3-setuptools,
   ninja-build (>= 1.6),
@@ -40,7 +42,7 @@
   bison <!nocheck>,
   mono-mcs <!nocheck>,
   mono-devel <!nocheck>,
-  libwxgtk3.0-dev <!nocheck>,
+  libwxgtk3.0-gtk3-dev <!nocheck>,
   python3-gi <!nocheck>,
   gtk-doc-tools <!nocheck>,
 # Rust is not needed to build Meson, only to run a part of its test
@@ -77,9 +79,10 @@
   mercurial <!nocheck>,
   gcovr <!nocheck>,
   lcov <!nocheck>,
-  fpga-icestorm <!nocheck>,
-  arachne-pnr <!nocheck>,
-  yosys <!nocheck>,
+# Disabled temporarily as this has an upstream bug.
+#  fpga-icestorm <!nocheck>,
+#  arachne-pnr <!nocheck>,
+#  yosys <!nocheck>,
   doxygen <!nocheck>,
   nasm <!nocheck>,
   cmake <!nocheck>,
@@ -87,11 +90,11 @@
 Package: meson
 Architecture: all
 Multi-Arch: foreign
-Depends: ${shlibs:Depends}, ${misc:Depends},
-# ${python3:Depends},
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
  ninja-build(>=1.6),
- python3,
- python3-pkg-resources,
+# python3-pkg-resources,
 Description: high-productivity build system
  Meson is a build system designed to increase programmer
  productivity. It does this by providing a fast, simple and easy to

=== debian/tests/control ===
Tests: basicmeson
Depends: meson, ninja-build, g++

Tests: clangmeson
Depends: meson, ninja-build, clang

Tests: exhaustive
Depends: meson, @builddeps@, rustc

## meson 0.53.1

=== test cases/cmake/16 threads/subprojects/cmMod/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(cmMod CXX)
set (CMAKE_CXX_STANDARD 14)

find_package(Threads)

add_library(cmModLib STATIC cmMod.cpp)
target_link_libraries(cmModLib PRIVATE Threads::Threads)

=== test cases/cmake/8 custom command/subprojects/cmMod/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(cmMod)
set (CMAKE_CXX_STANDARD 14)
set (CMAKE_CXX_STANDARD_REQUIRED ON)

include_directories(${CMAKE_CURRENT_BINARY_DIR})
add_definitions("-DDO_NOTHING_JUST_A_FLAG=1")

add_executable(gen main.cpp)
add_executable(mycpy cp.cpp)

# cpyBase
add_custom_command(
  OUTPUT  "${CMAKE_CURRENT_BINARY_DIR}/genTest.cpp" "${CMAKE_CURRENT_BINARY_DIR}/genTest.hpp"
  COMMAND gen ARGS genTest
)

add_custom_command(
  OUTPUT cpyBase.cpp
  COMMAND mycpy "${CMAKE_CURRENT_SOURCE_DIR}/cpyBase.cpp.am" cpyBase.cpp.in
  COMMAND mycpy cpyBase.cpp.in                               cpyBase.cpp.something
  COMMAND mycpy cpyBase.cpp.something                        cpyBase.cpp.IAmRunningOutOfIdeas
  COMMAND mycpy cpyBase.cpp.IAmRunningOutOfIdeas             cpyBase.cpp
  DEPENDS cpyBase.cpp.am gen
)

add_custom_command(
  OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/cpyBase.hpp.in"
  COMMAND mycpy "${CMAKE_CURRENT_SOURCE_DIR}/cpyBase.hpp.am" cpyBase.hpp.in
  DEPENDS cpyBase.hpp.am
)

add_custom_command(
  OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/cpyBase.hpp.something"
  COMMAND mycpy cpyBase.hpp.in                               cpyBase.hpp.something
  DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/cpyBase.hpp.in"
)

add_custom_command(
  OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/cpyBase.hpp"
  COMMAND mycpy cpyBase.hpp.something                        cpyBase.hpp
  DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/cpyBase.hpp.something"
)

# cpyNext (out of order is on purpose)
# -- first copy round
add_custom_command(
  OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/s1_a_hpp/file.txt"
  COMMAND mycpy "${CMAKE_CURRENT_SOURCE_DIR}/cpyNext.hpp.am" file.txt
  DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/cpyNext.hpp.am"
  WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/s1_a_hpp"
)

add_custom_command(
  OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/s1_b_cpp/file.txt"
  COMMAND mycpy "${CMAKE_CURRENT_SOURCE_DIR}/cpyNext.cpp.am" file.txt
  DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/cpyNext.cpp.am"
  WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/s1_b_cpp"
)

# -- final cpy round
add_custom_command(
  OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/cpyNext.hpp"
  COMMAND mycpy "${CMAKE_CURRENT_BINARY_DIR}/s2_b_hpp/file.txt" cpyNext.hpp
  DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/s2_b_hpp/file.txt"
  WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}"
)

add_custom_command(
  OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/cpyNext.cpp"
  COMMAND mycpy "${CMAKE_CURRENT_BINARY_DIR}/s2_a_cpp/file.txt" cpyNext.cpp
  DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/s2_a_cpp/file.txt"
  WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}"
)

# -- second copy round
add_custom_command(
  OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/s2_b_hpp/file.txt"
  COMMAND mycpy "${CMAKE_CURRENT_BINARY_DIR}/s1_a_hpp/file.txt" file.txt
  DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/s1_a_hpp/file.txt"
  WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/s2_b_hpp"
)

add_custom_command(
  OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/s2_a_cpp/file.txt"
  COMMAND mycpy "${CMAKE_CURRENT_BINARY_DIR}/s1_b_cpp/file.txt" file.txt
  DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/s1_b_cpp/file.txt"
  WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/s2_a_cpp"
)

add_library(cmModLib SHARED cmMod.cpp genTest.cpp cpyBase.cpp cpyBase.hpp cpyNext.cpp cpyNext.hpp)
include(GenerateExportHeader)
generate_export_header(cmModLib)

set(ARGS_TEST arg1)
set(ARGS_TEST ${ARGS_TEST} arg2)

add_executable(macro_name macro_name.cpp)
add_executable(args_test args_test.cpp)
add_custom_target(args_test_cmd
  COMMAND args_test ARGS ${ARGS_TEST}
)
add_custom_target(macro_name_cmd COMMAND macro_name)

add_dependencies(cmModLib args_test_cmd)
add_dependencies(args_test_cmd macro_name_cmd)

=== debian/changelog ===
meson (0.53.1-1ubuntu1) focal; urgency=medium

  [ Stefano Rivera ]
  * debian/patches/use_python3_tests.patch:
    - Update use_python3_tests.patch to catch one more python binary use.

  [ Rico Tzschichholz ]
  * debian/tests/control:
    - Explicit depends on rustc and valac, so autopkgtests can pick it up

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 06 Feb 2020 19:30:31 +0100

meson (0.53.1-1) unstable; urgency=medium

  * New upstream release. Closes: #948611.
  * Add cross build autopkgtest from Helmut Grohne. Closes: #948608

 -- Jussi Pakkanen <jpakkane@gmail.com>  Fri, 24 Jan 2020 00:35:16 +0200

=== debian/tests/control ===
--- 
+++ 
@@ -5,4 +5,8 @@
 Depends: meson, ninja-build, clang
 
 Tests: exhaustive
-Depends: meson, @builddeps@, rustc
+Depends: meson, @builddeps@, rustc, valac
+
+Tests: crossbuild
+Depends: meson, g++-arm-linux-gnueabihf
+

## meson 0.53.2

=== mesonbuild/dependencies/data/CMakeLists.txt ===
--- 
+++ 
@@ -1,23 +1,24 @@
-cmake_minimum_required(VERSION ${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}.${CMAKE_PATCH_VERSION} )
+# fail noisily if attempt to use this file without setting:
+# cmake_minimum_required(VERSION ${CMAKE_VERSION})
+# project(... LANGUAGES ...)
 
-# Inspired by CMakeDetermineCompilerABI.cmake to set CMAKE_LIBRARY_ARCHITECTURE
-if(CMAKE_LIBRARY_ARCHITECTURE_REGEX)
-  if(NOT DEFINED CMAKE_LIBRARY_ARCHITECTURE)
-    file(GLOB implicit_dirs RELATIVE /lib /lib/*-linux-gnu* )
-    foreach(dir ${implicit_dirs})
-      if("${dir}" MATCHES "${CMAKE_LIBRARY_ARCHITECTURE_REGEX}")
-        set(CMAKE_LIBRARY_ARCHITECTURE "${dir}")
-        break()
-      endif()
-    endforeach()
-  endif()
-endif()
-
-find_package("${NAME}" QUIET)
+cmake_policy(SET CMP0000 NEW)
 
 set(PACKAGE_FOUND FALSE)
 set(_packageName "${NAME}")
 string(TOUPPER "${_packageName}" PACKAGE_NAME)
+
+while(TRUE)
+  find_package("${NAME}" QUIET)
+
+  # ARCHS has to be set via the CMD interface
+  if(${_packageName}_FOUND OR ${PACKAGE_NAME}_FOUND OR "${ARCHS}" STREQUAL "")
+    break()
+  endif()
+
+  list(GET       ARCHS 0 CMAKE_LIBRARY_ARCHITECTURE)
+  list(REMOVE_AT ARCHS 0)
+endwhile()
 
 if(${_packageName}_FOUND  OR  ${PACKAGE_NAME}_FOUND)
   set(PACKAGE_FOUND TRUE)

=== test cases/failing/61 bad option argument/meson_options.txt ===
option('name', type : 'string', vaule : 'foo')

=== test cases/unit/59 introspect buildoptions/meson_options.txt ===
option('max_register_count', type: 'integer', min: 0, value: 125)
option('use_external_fmt',   type: 'boolean', value: false)

=== test cases/cmake/1 basic/subprojects/cmMod/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(cmMod)
set (CMAKE_CXX_STANDARD 14)

include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_definitions("-DDO_NOTHING_JUST_A_FLAG=1")

add_library(cmModLib++ SHARED cmMod.cpp)
include(GenerateExportHeader)
generate_export_header(cmModLib++)

=== test cases/cmake/10 header only/subprojects/cmMod/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(cmMod)
set (CMAKE_CXX_STANDARD 14)

add_definitions("-DDO_NOTHING_JUST_A_FLAG=1")

add_library(cmModLib INTERFACE)
set_target_properties(cmModLib PROPERTIES INTERFACE_COMPILE_OPTIONS "-DCMAKE_FLAG_MUST_BE_PRESENT")
target_include_directories(cmModLib INTERFACE "${CMAKE_CURRENT_SOURCE_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}/include")
target_compile_definitions(cmModLib INTERFACE -DCMAKE_COMPILER_DEFINE_STR="compDef")

=== test cases/cmake/2 advanced/subprojects/cmMod/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(cmMod)
set(CMAKE_CXX_STANDARD 14)

find_package(ZLIB REQUIRED)

include_directories(${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/lib)

set(CONFIG_OPT 42)
configure_file("config.h.in" "${CMAKE_CURRENT_BINARY_DIR}/config.h" @ONLY)

add_library(cmModLib       SHARED lib/cmMod.cpp)
add_library(cmModLibStatic STATIC lib/cmMod.cpp)
include(GenerateExportHeader)
generate_export_header(cmModLib)

set_target_properties(cmModLib PROPERTIES VERSION 1.0.1)

add_executable(testEXE main.cpp)

target_link_libraries(cmModLib       ZLIB::ZLIB)
target_link_libraries(cmModLibStatic ZLIB::ZLIB)
target_link_libraries(testEXE cmModLib)

target_compile_definitions(cmModLibStatic PUBLIC CMMODLIB_STATIC_DEFINE)

install(TARGETS cmModLib testEXE LIBRARY DESTINATION lib RUNTIME DESTINATION bin)

=== test cases/cmake/4 code gen/subprojects/cmCodeGen/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)

set(CMAKE_CXX_STANDARD 14)

add_executable(genA main.cpp)

=== test cases/cmake/7 cmake options/subprojects/cmOpts/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)

if(NOT "${SOME_CMAKE_VAR}" STREQUAL "something")
  message(FATAL_ERROR "Setting the CMake var failed")
endif()

=== test cases/cmake/8 custom command/subprojects/cmMod/CMakeLists.txt ===
--- 
+++ 
@@ -22,7 +22,7 @@
   COMMAND mycpy cpyBase.cpp.in                               cpyBase.cpp.something
   COMMAND mycpy cpyBase.cpp.something                        cpyBase.cpp.IAmRunningOutOfIdeas
   COMMAND mycpy cpyBase.cpp.IAmRunningOutOfIdeas             cpyBase.cpp
-  DEPENDS cpyBase.cpp.am gen
+  DEPENDS cpyBase.cpp.am;gen
 )
 
 add_custom_command(
@@ -89,7 +89,29 @@
   WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/s2_a_cpp"
 )
 
-add_library(cmModLib SHARED cmMod.cpp genTest.cpp cpyBase.cpp cpyBase.hpp cpyNext.cpp cpyNext.hpp)
+# cpyTest (copy file without renaming)
+add_custom_command(
+  OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/cpyTest.hpp"
+  COMMAND mycpy "${CMAKE_CURRENT_SOURCE_DIR}/cpyTest/cpyTest.hpp" "${CMAKE_CURRENT_BINARY_DIR}/cpyTest.hpp"
+  DEPENDS "cpyTest/cpyTest.hpp"
+)
+
+add_custom_command(
+  OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/cpyTest2.hpp"
+  COMMAND mycpy "${CMAKE_CURRENT_SOURCE_DIR}/cpyTest/cpyTest2.hpp" "${CMAKE_CURRENT_BINARY_DIR}/cpyTest2.hpp"
+  DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/cpyTest/cpyTest2.hpp"
+)
+
+add_custom_command(
+  OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/cpyTest3.hpp"
+  COMMAND mycpy cpyTest3.hpp "${CMAKE_CURRENT_BINARY_DIR}/cpyTest3.hpp"
+  DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/cpyTest/cpyTest3.hpp"
+  WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/cpyTest"
+)
+
+add_subdirectory(cpyTest ccppyyTTeesstt)
+
+add_library(cmModLib SHARED cmMod.cpp genTest.cpp cpyBase.cpp cpyBase.hpp cpyNext.cpp cpyNext.hpp cpyTest.cpp cpyTest.hpp cpyTest2.hpp cpyTest3.hpp)
 include(GenerateExportHeader)
 generate_export_header(cmModLib)
 
@@ -99,9 +121,9 @@
 add_executable(macro_name macro_name.cpp)
 add_executable(args_test args_test.cpp)
 add_custom_target(args_test_cmd
-  COMMAND args_test ARGS ${ARGS_TEST}
+  COMMAND args_test ${ARGS_TEST}
 )
 add_custom_target(macro_name_cmd COMMAND macro_name)
 
-add_dependencies(cmModLib args_test_cmd)
-add_dependencies(args_test_cmd macro_name_cmd)
+add_dependencies(cmModLib args_test_cmd tgtCpyTest4)
+add_dependencies(args_test_cmd macro_name_cmd;gen;mycpy)

=== debian/changelog ===
meson (0.53.2-2ubuntu2) focal; urgency=medium

  * Skip test cross on s390x, because arm toolchain is not available there.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 03 Mar 2020 08:59:51 +0100

meson (0.53.2-2ubuntu1) focal; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - add debian/patches/6703.patch
    - Allow stderr for new test
    - depend on rustc and valac, so autopkgtests can pick them up

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 02 Mar 2020 12:05:06 +0100

meson (0.53.2-2) unstable; urgency=medium

  * Fix autopkgtest dependencies. Closes: #952610

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sat, 29 Feb 2020 00:20:11 +0200

meson (0.53.2-1ubuntu4) focal; urgency=medium

  * Also allow stderr

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 02 Mar 2020 11:58:04 +0100

meson (0.53.2-1ubuntu3) focal; urgency=medium

  * debian/patches/6703.patch
    - use upstream proposed approach instead of use_python3_tests.patch
  * Tweak debian tests/control to fix another test failure (Closes: #952610)
    - patch taken from bug report

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 02 Mar 2020 07:24:25 +0100

meson (0.53.2-1ubuntu1) focal; urgency=medium

  [ Stefano Rivera ]
  * debian/patches/use_python3_tests.patch:
    - Update use_python3_tests.patch to catch one more python binary use.

  [ Rico Tzschichholz ]
  * debian/tests/control:
    - Explicit depends on rustc and valac, so autopkgtests can pick it up

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 26 Feb 2020 12:42:13 +0100

meson (0.53.2-1) unstable; urgency=medium

  * New upstream release. Closes: #950020, #951487

 -- Jussi Pakkanen <jpakkane@gmail.com>  Tue, 25 Feb 2020 18:02:37 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: meson
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jussi Pakkanen <jpakkane@gmail.com>
+Maintainer: Jussi Pakkanen <jpakkane@gmail.com>
 Section: devel
 Priority: optional
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://mesonbuild.com
 X-Python3-Version: >= 3.7
 Rules-Requires-Root: no
@@ -49,7 +48,7 @@
 # suite.  Rust tests will be skipped if rustc is not available.  This
 # stanza makes dep dep solver install rustc whenever it is available
 # and when not it installs a harmless filler package.
-  rustc [i386 amd64] <!nocheck> | bash-doc <!nocheck>,
+  rustc [i386 amd64 arm64 armhf] <!nocheck> | bash-doc <!nocheck>,
   python3-dev <!nocheck>,
   cython3 <!nocheck>,
 # GDC is available on all platforms but it only

=== debian/rules ===
#!/usr/bin/make -f

# Print all logging info to stdout so it
# shows up in build logs.
export MESON_PRINT_TEST_OUTPUT=1

export QT_SELECT=qt5

# We're not in 1963 anymore, Toto!
export LC_ALL=C.UTF-8

export PYBUILD_NAME=meson

%:
	dh $@ --with python3 --buildsystem=pybuild

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	./run_tests.py
endif

=== debian/tests/control ===
Tests: basicmeson
Depends: meson, g++

Tests: clangmeson
Depends: meson, clang

Tests: exhaustive
Depends: meson, @builddeps@, rustc, valac

Tests: crossbuild
Depends: meson, g++, g++-arm-linux-gnueabihf
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version = 3

opts=pgpsigurlmangle=s/$/.asc/ https://github.com/mesonbuild/meson/releases \
 (?:.*/)meson.(\d[\d\.]*)\.tar\.gz

## meson 0.54.1

=== debian/changelog ===
meson (0.54.1-2ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Skip test cross on s390x, because arm toolchain is not available there.
    - Mark exaustive as flaky, boost static link seems to be not working with
      boost 1.71

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 07 May 2020 22:01:00 +0200

meson (0.54.1-2) unstable; urgency=medium

  * Add libdir regression fix. Closes: #959708.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Wed, 06 May 2020 23:25:28 +0300

meson (0.54.1-1ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Skip test cross on s390x, because arm toolchain is not available there.
    - Mark exaustive as flaky, boost static link seems to be not working with
      boost 1.71

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 28 Apr 2020 10:57:47 +0200

meson (0.54.1-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 26 Apr 2020 12:10:21 +0300

meson (0.54.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 29 Mar 2020 20:03:27 +0300

meson (0.54.0~rc1-1) experimental; urgency=medium

  * New upstream rc release.
  * Updated debcrossgen to not write to stderr. Closes: #952610.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Tue, 24 Mar 2020 11:32:25 +0200

=== debian/control ===
--- 
+++ 
@@ -20,6 +20,7 @@
   libboost-test-dev <!nocheck>,
   libboost-log-dev <!nocheck>,
   libboost-python-dev <!nocheck>,
+  libboost-regex-dev <!nocheck>,
   gobjc <!nocheck>,
   gobjc++ <!nocheck>,
   gnustep-make <!nocheck>,

=== debian/tests/control ===
Tests: basicmeson
Depends: meson, g++

Tests: clangmeson
Depends: meson, clang

# At the time of writing the packaging machinery does not put @builddeps@ into
# autopkg deps. The tests are only automatically run when packages explicitly
# listed as Depends are uploaded. List a few major ones to make sure those
# tests are run and thus block broken uploads.
Tests: exhaustive
Depends: meson, @builddeps@, valac, rustc, ldc
Restrictions: flaky, skip-not-installable

Tests: crossbuild
Depends: meson, g++, g++-arm-linux-gnueabihf
Restrictions: skip-not-installable

## meson 0.54.2

=== debian/changelog ===
meson (0.54.2-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Fri, 15 May 2020 10:26:05 +0300

=== debian/tests/control ===
--- 
+++ 
@@ -10,8 +10,6 @@
 # tests are run and thus block broken uploads.
 Tests: exhaustive
 Depends: meson, @builddeps@, valac, rustc, ldc
-Restrictions: flaky, skip-not-installable
 
 Tests: crossbuild
 Depends: meson, g++, g++-arm-linux-gnueabihf
-Restrictions: skip-not-installable

## meson 0.54.3

=== debian/changelog ===
meson (0.54.3-1ubuntu2) groovy; urgency=medium

  * Don't set flaky anymore, see:
    https://code.launchpad.net/~costamagnagianfranco/autopkgtest-cloud/+git/autopkgtest-cloud/+merge/386374
    and Debian bug: 963546

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 25 Jun 2020 22:16:46 +0200

meson (0.54.3-1ubuntu1) groovy; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Skip test cross on s390x, because arm toolchain is not available there.
    - Mark exaustive as flaky, boost static link seems to be not working with
      boost 1.71

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 23 Jun 2020 15:25:48 +0200

meson (0.54.3-1) unstable; urgency=medium

  * New upstream release. Closes: #960877.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 15 Jun 2020 19:48:23 +0300

=== debian/tests/control ===
--- 
+++ 
@@ -10,6 +10,8 @@
 # tests are run and thus block broken uploads.
 Tests: exhaustive
 Depends: meson, @builddeps@, valac, rustc, ldc
+Restrictions: skip-not-installable
 
 Tests: crossbuild
 Depends: meson, g++, g++-arm-linux-gnueabihf
+Restrictions: skip-not-installable

## meson 0.55.0

=== debian/changelog ===
meson (0.55.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Don't consider skipped tests as failures. Closes: #966923
  * Fix test with setuptools 49. Closes: #968704

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 20 Aug 2020 18:10:34 +0100

meson (0.55.0-2) unstable; urgency=medium

  * Fix crossbuild test from Gianfranco Costamagna. Closes: #963546
  * Add dep to Python pkg resources from Kunal Mehta. Closes: #965033.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Thu, 16 Jul 2020 22:15:06 +0300

meson (0.55.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 12 Jul 2020 17:29:15 +0300

meson (0.55.0~rc2-1) experimental; urgency=medium

  * New upstream release.
  * Fix test dependency setup to work on all arches. Closes: #963546.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Wed, 08 Jul 2020 10:51:14 +0300

=== debian/control ===
--- 
+++ 
@@ -94,7 +94,7 @@
  ${misc:Depends},
  ${python3:Depends},
  ninja-build(>=1.6),
-# python3-pkg-resources,
+ python3-pkg-resources,
 Description: high-productivity build system
  Meson is a build system designed to increase programmer
  productivity. It does this by providing a fast, simple and easy to

=== debian/tests/control ===
--- 
+++ 
@@ -9,9 +9,8 @@
 # listed as Depends are uploaded. List a few major ones to make sure those
 # tests are run and thus block broken uploads.
 Tests: exhaustive
-Depends: meson, @builddeps@, valac, rustc, ldc
-Restrictions: skip-not-installable
+Depends: meson, @builddeps@, valac, rustc, ldc [!s390x !ppc64el]
 
 Tests: crossbuild
-Depends: meson, g++, g++-arm-linux-gnueabihf
-Restrictions: skip-not-installable
+Depends: meson, g++, g++-arm-linux-gnueabihf [!s390x]
+

## meson 0.55.1

=== debian/changelog ===
meson (0.55.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove patches no longer needed in 0.55.1.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Fri, 21 Aug 2020 00:08:05 +0300

## meson 0.55.3

=== debian/changelog ===
meson (0.55.3-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Fri, 11 Sep 2020 18:38:53 +0300

meson (0.55.2-1) unstable; urgency=medium

  * New upstream release.
  * Install Bash completion files. Closes: #968462.
  * Remove TAP test distro patch that is now upstream.
  * Do not install openmpi packages as the tests don't run under pbuilder.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Thu, 10 Sep 2020 19:44:56 +0300

## meson 0.56.0

=== debian/changelog ===
meson (0.56.0-1build1) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as default.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Nov 2020 18:36:16 +0100

meson (0.56.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Fri, 30 Oct 2020 10:28:21 +0200

meson (0.56.0~rc2-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 26 Oct 2020 20:20:13 +0200

meson (0.56.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 19 Oct 2020 00:35:48 +0300

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,13 @@
 Homepage: https://mesonbuild.com
 X-Python3-Version: >= 3.7
 Rules-Requires-Root: no
-Build-Depends: debhelper (>= 12),
+Build-Depends: debhelper-compat (= 13),
   python3:any (>= 3.5),
   dh-exec,
   dh-python,
   python3-setuptools,
   ninja-build (>= 1.6),
+  bash-completion,
 # The following are needed for the unit test suite
   zlib1g-dev <!nocheck>,
   pkg-config <!nocheck>,
@@ -63,9 +64,10 @@
   valgrind [amd64 i386] <!nocheck>,
   llvm-dev <!nocheck>,
   libsdl2-dev <!nocheck>,
-# OpenMPI packages do not install currently (2018/04/23)
+# OpenMPI tests do not run under pbuilder and the packages are currently
+# (2020-09-10) broken and uninstallable so disable this.
   openmpi-bin <!nocheck>,
-  libopenmpi-dev <!nocheck>,
+#  libopenmpi-dev <!nocheck>,
 # Running OpenMPI executables requires openssh. Yes, really.
   openssh-client <!nocheck>,
   libvulkan-dev <!nocheck>,
